Description: fix FTBFS with clang instead of gcc
 clang is more picky if a function is declared as returning
 a value and then it doesn't.
Author: Nicolas Sévelin-Radiguet <nicosr@free.fr>
Reviewed-by: IOhannes m zmölnig <umlaeute@debian.org>
Last-Update: 2014-04-05

--- pd-unauthorized.orig/countund.c
+++ pd-unauthorized/countund.c
@@ -80,7 +80,7 @@
     if ( flimit < 0 )
     {
         post( "countund~: wrong count limit" );
-        return;
+        return NULL;
     }
     else
     {
@@ -110,7 +110,7 @@
         }
     }
     outlet_float( x->x_obj.ob_outlet, x->x_value );
-    return;
+    return NULL;
 }
 
 void countund_setup(void)
--- pd-unauthorized.orig/randomblock~.c
+++ pd-unauthorized/randomblock~.c
@@ -76,7 +76,7 @@
     if ( flimit < 0 || flimit > RAND_MAX )
     {
         post( "randomblock~: wrong random limit" );
-        return;
+        return NULL;
     }
     else
     {
